searchNodes=[{"doc":"Provides API wrappers for OpenAI API See https://beta.openai.com/docs/api-reference/introduction for further info on REST endpoints","ref":"OpenAI.html","title":"OpenAI","type":"module"},{"doc":"The endpoint first searches over provided documents or files to find relevant context. The relevant context is combined with the provided examples and question to create the prompt for completion.Example requestOpenAI.answers( model: &quot;curie&quot;, documents: [&quot;Puppy A is happy.&quot;, &quot;Puppy B is sad.&quot;], question: &quot;which puppy is happy?&quot;, search_model: &quot;ada&quot;, examples_context: &quot;In 2017, U.S. life expectancy was 78.6 years.&quot;, examples: [[&quot;What is human life expectancy in the United States?&quot;, &quot;78 years.&quot;]], max_tokens: 5 )Example response{:ok, %{ answers: [&quot;puppy A.&quot;], completion: &quot;cmpl-2kdRgXcoUfaAXxlPjmZXBT8AlKWfB&quot;, model: &quot;curie:2020-05-03&quot;, object: &quot;answer&quot;, search_model: &quot;ada&quot;, selected_documents: [ %{&quot;document&quot; =&gt; 0, &quot;text&quot; =&gt; &quot;Puppy A is happy. &quot;}, %{&quot;document&quot; =&gt; 1, &quot;text&quot; =&gt; &quot;Puppy B is sad. &quot;} ] } } See: https://beta.openai.com/docs/api-reference/answers","ref":"OpenAI.html#answers/1","title":"OpenAI.answers/1","type":"function"},{"doc":"It returns the most likely label for the query passed to the function. The function accepts as arguments a set of parameters that will be passed to the Classifications OpenAI apiGiven a query and a set of labeled examples, the model will predict the most likely label for the query. Useful as a drop-in replacement for any ML classification or text-to-label task.Example requestOpenAI.classifications( examples: [ [&quot;A happy moment&quot;, &quot;Positive&quot;], [&quot;I am sad.&quot;, &quot;Negative&quot;], [&quot;I am feeling awesome&quot;, &quot;Positive&quot;] ], labels: [&quot;Positive&quot;, &quot;Negative&quot;, &quot;Neutral&quot;], query: &quot;It is a raining day :(&quot;, search_model: &quot;ada&quot;, model: &quot;curie&quot; )Example response{:ok, %{ completion: &quot;cmpl-2jIXZYg7Buyg1DDRYtozkre50TSMb&quot;, label: &quot;Negative&quot;, model: &quot;curie:2020-05-03&quot;, object: &quot;classification&quot;, search_model: &quot;ada&quot;, selected_examples: [ %{&quot;document&quot; =&gt; 1, &quot;label&quot; =&gt; &quot;Negative&quot;, &quot;text&quot; =&gt; &quot;I am sad.&quot;}, %{&quot;document&quot; =&gt; 0, &quot;label&quot; =&gt; &quot;Positive&quot;, &quot;text&quot; =&gt; &quot;A happy moment&quot;}, %{&quot;document&quot; =&gt; 2, &quot;label&quot; =&gt; &quot;Positive&quot;, &quot;text&quot; =&gt; &quot;I am feeling awesome&quot;} ] } }See: https://beta.openai.com/docs/api-reference/classifications for the complete list of parameters you can pass to the classifications function","ref":"OpenAI.html#classifications/1","title":"OpenAI.classifications/1","type":"function"},{"doc":"It returns one or more predicted completions given a prompt. The function accepts as arguments the &quot;engine_id&quot; and the set of parameters used by the Completions OpenAI apiExample requestOpenAI.completions( &quot;davinci&quot;, # engine_id prompt: &quot;once upon a time&quot;, max_tokens: 5, temperature: 1, ... )Example response{:ok, %{ choices: [ %{ &quot;finish_reason&quot; =&gt; &quot;length&quot;, &quot;index&quot; =&gt; 0, &quot;logprobs&quot; =&gt; nil, &quot;text&quot; =&gt; &quot;&quot; thing we are given&quot; } ], created: 1617147958, id: &quot;...&quot;, model: &quot;...&quot;, object: &quot;text_completion&quot; } }See: https://beta.openai.com/docs/api-reference/completions/create for the complete list of parameters you can pass to the completions function","ref":"OpenAI.html#completions/2","title":"OpenAI.completions/2","type":"function"},{"doc":"Get the list of available enginesExample requestOpenAI.engines()Example response{:ok, %{ &quot;data&quot; =&gt; [ %{&quot;id&quot; =&gt; &quot;davinci&quot;, &quot;object&quot; =&gt; &quot;engine&quot;, &quot;max_replicas&quot;: ...}, ..., ... ] }See: https://beta.openai.com/docs/api-reference/engines/list","ref":"OpenAI.html#engines/0","title":"OpenAI.engines/0","type":"function"},{"doc":"Retrieve specific engine infoExample requestOpenAI.engines(&quot;davinci&quot;)Example response{:ok, %{ &quot;id&quot; =&gt; &quot;davinci&quot;, &quot;object&quot; =&gt; &quot;engine&quot;, &quot;max_replicas&quot;: ... } }See: https://beta.openai.com/docs/api-reference/engines/retrieve","ref":"OpenAI.html#engines/1","title":"OpenAI.engines/1","type":"function"},{"doc":"List your organization's fine-tuning jobsExample requestOpenAI.finetunes()Example response{:ok, %{ &quot;data&quot; =&gt; [ %{&quot;created_at&quot; =&gt; 1614807352, &quot;fine_tuned_model&quot; =&gt; &quot;curie:ft-acmeco-2021-03-03-21-44-20&quot;, &quot;model&quot;: ...}, ..., ... ] }See: https://beta.openai.com/docs/api-reference/fine-tunes/list","ref":"OpenAI.html#finetunes/0","title":"OpenAI.finetunes/0","type":"function"},{"doc":"Gets info about the fine-tune job.Example requestOpenAI.finetunes(&quot;ft-AF1WoRqd3aJAHsqc9NY7iL8F&quot;)Example response{:ok, %{ created_at: 1614807352, events: [ %{ &quot;created_at&quot; =&gt; 1614807352, &quot;level&quot; =&gt; &quot;info&quot;, &quot;message&quot; =&gt; &quot;Created fine-tune: ft-AF1WoRqd3aJAHsqc9NY7iL8F&quot;, &quot;object&quot; =&gt; &quot;fine-tune-event&quot; }, %{ &quot;created_at&quot; =&gt; 1614807360, &quot;level&quot; =&gt; &quot;info&quot;, &quot;message&quot; =&gt; &quot;Fine-tune costs $0.02&quot;, &quot;object&quot; =&gt; &quot;fine-tune-event&quot; }, ..., ... }See: https://beta.openai.com/docs/api-reference/fine-tunes/retrieve","ref":"OpenAI.html#finetunes/1","title":"OpenAI.finetunes/1","type":"function"},{"doc":"This edits an image based on the given prompt.Example RequestOpenAI.image_edits( &quot;/home/developer/myImg.png&quot;, { &quot;prompt&quot;, &quot;A developer writing a test&quot;, &quot;size&quot;: &quot;256x256&quot;}, recv_timeout: 10 * 60 * 1000 )Example Response{:ok, %{ created: 1670341737, data: [ %{ &quot;url&quot; =&gt; ...Returned url } ] }}See: https://beta.openai.com/docs/api-reference/images/create-edit for the complete list of parameters you can pass to the image creation function","ref":"OpenAI.html#image_edits/3","title":"OpenAI.image_edits/3","type":"function"},{"doc":"This generates an image based on the given prompt.Example RequestOpenAI.Images.Generations.fetch( [prompt: &quot;A developer writing a test&quot;, size: &quot;256x256&quot;], recv_timeout: 10 * 60 * 1000 )Example Response {:ok,%{ created: 1670341737, data: [ %{ &quot;url&quot; =&gt; ...Returned url } ] }} See: https://beta.openai.com/docs/api-reference/images/create for the complete list of parameters you can pass to the image creation function","ref":"OpenAI.html#image_generations/2","title":"OpenAI.image_generations/2","type":"function"},{"doc":"This generates an image based on the given prompt.Example RequestOpenAI.image_variations( &quot;/home/developer/myImg.png&quot;, { &quot;prompt&quot;, &quot;A developer writing a test&quot;, &quot;size&quot;: &quot;256x256&quot;}, recv_timeout: 10 * 60 * 1000 )Example Response{:ok, %{ created: 1670341737, data: [ %{ &quot;url&quot; =&gt; ...Returned url } ] }}See: https://beta.openai.com/docs/api-reference/images/create-variation for the complete list of parameters you can pass to the image creation function","ref":"OpenAI.html#image_variations/3","title":"OpenAI.image_variations/3","type":"function"},{"doc":"It returns a rank of each document passed to the function, based on its semantic similarity to the passed query. The function accepts as arguments the engine_id and theset of parameters used by the Search OpenAI apiExample requestOpenAI.search( &quot;babbage&quot;, #engine_id documents: [&quot;White House&quot;, &quot;hospital&quot;, &quot;school&quot;], query: &quot;the president&quot; )Example response{:ok, %{ data: [ %{&quot;document&quot; =&gt; 0, &quot;object&quot; =&gt; &quot;search_result&quot;, &quot;score&quot; =&gt; 218.676}, %{&quot;document&quot; =&gt; 1, &quot;object&quot; =&gt; &quot;search_result&quot;, &quot;score&quot; =&gt; 17.797}, %{&quot;document&quot; =&gt; 2, &quot;object&quot; =&gt; &quot;search_result&quot;, &quot;score&quot; =&gt; 29.65} ], model: &quot;...&quot;, object: &quot;list&quot; }}See: https://beta.openai.com/docs/api-reference/searches for the complete list of parameters you can pass to the search function","ref":"OpenAI.html#search/2","title":"OpenAI.search/2","type":"function"},{"doc":"Callback implementation for Application.start/2.","ref":"OpenAI.html#start/2","title":"OpenAI.start/2","type":"function"},{"doc":"Reads configuration on application start, parses all environment variables (if any) and caches the final config in memory to avoid parsing on each read afterwards.","ref":"OpenAI.Config.html","title":"OpenAI.Config","type":"module"},{"doc":"","ref":"OpenAI.Config.html#api_key/0","title":"OpenAI.Config.api_key/0","type":"function"},{"doc":"","ref":"OpenAI.Config.html#api_url/0","title":"OpenAI.Config.api_url/0","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"OpenAI.Config.html#child_spec/1","title":"OpenAI.Config.child_spec/1","type":"function"},{"doc":"","ref":"OpenAI.Config.html#get/1","title":"OpenAI.Config.get/1","type":"function"},{"doc":"","ref":"OpenAI.Config.html#org_key/0","title":"OpenAI.Config.org_key/0","type":"function"},{"doc":"","ref":"OpenAI.Config.html#start_link/1","title":"OpenAI.Config.start_link/1","type":"function"}]